package com.sw.mes.yb.production.service;

import java.util.List;

import com.sw.mes.core.response.Result;
import org.springframework.data.jpa.domain.Specification;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.production.entity.ProductionCircleRecipe;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionCircleRecipeService extends BaseService<ProductionCircleRecipe> {

    List<ProductionCircleRecipe> findByExample(Specification<ProductionCircleRecipe> specification, RequestPage page);

    Result updateStatus(Long id, Integer status);
    
    /**
     * 根据料号查询配方方案
     * @see：马国栋完成
     * @param productCode
     * @return ProductionCircleRecipe
     */
    ProductionCircleRecipe getByProductCode(String productCode);

    List<String> recipeNameListAll();

    void deleteAll(String recipeName, String recipeCode, Integer version);

	void deleteDel(Long id);

    ProductionCircleRecipe getRecipeByProductCodeOrRecipeName(String recipeName, String productCode);

    Integer getNewestVersion(String recipeName, String recipeCode);
}
